import pb from 'protobufjs';
const Reader = pb.Reader;
// monkey patch the reader to add native bigint support
const methods = [
    'uint64', 'int64', 'sint64', 'fixed64', 'sfixed64'
];
methods.forEach(method => {
    // @ts-expect-error
    const original = Reader.prototype[method];
    // @ts-expect-error
    Reader.prototype[method] = function () {
        return BigInt(original.call(this).toString());
    };
});
export function decodeMessage(buf, codec) {
    const reader = Reader.create(buf instanceof Uint8Array ? buf : buf.subarray());
    // @ts-expect-error
    return codec.decode(reader);
}
//# sourceMappingURL=decode.js.map